package dev.inmo.postssystem.client.fsm.ui.defaults

import dev.inmo.postssystem.client.ui.fsm.UIFSMState
import kotlinx.coroutines.CompletableDeferred
import kotlinx.html.TagConsumer
import kotlinx.html.js.button
import kotlinx.html.js.onClickFunction
import org.w3c.dom.HTMLElement

fun TagConsumer<HTMLElement>.addBackButton(
    completableDeferred: CompletableDeferred<UIFSMState>,
    stateToBack: UIFSMState
) {
    button {
        +"Назад"
        onClickFunction = {
            completableDeferred.complete(stateToBack)
        }
    }
}
