package dev.inmo.postssystem.features.roles.manager.common

import dev.inmo.postssystem.features.common.common.default
import dev.inmo.postssystem.features.roles.common.UsersRolesStorage
import dev.inmo.postssystem.features.roles.common.keyvalue.*
import kotlinx.serialization.StringFormat
import kotlinx.serialization.json.Json

class RolesManagerRoleStorage(
    keyValuesRepo: KeyValuesUsersRolesOriginalRepo,
    format: StringFormat = Json.default
) : UsersRolesStorage<RolesManagerRole>, KeyValueUsersRolesStorage<RolesManagerRole>(
    keyValuesRepo,
    RolesManagerRole.serializer(),
    format
)
