package dev.inmo.postssystem.features.roles.manager.server

import dev.inmo.postssystem.features.roles.common.UsersRolesStorage
import dev.inmo.postssystem.features.roles.manager.common.RolesManagerRole
import dev.inmo.postssystem.features.roles.manager.common.RolesManagerRoleSerializer
import dev.inmo.postssystem.features.roles.server.UsersRolesStorageWriteServerRoutesConfigurator
import dev.inmo.micro_utils.ktor.server.configurators.ApplicationRoutingConfigurator

class RolesManagerUsersRolesStorageServerRoutesConfigurator(
    storage: UsersRolesStorage<RolesManagerRole>
) : ApplicationRoutingConfigurator.Element by UsersRolesStorageWriteServerRoutesConfigurator(
    storage,
    RolesManagerRoleSerializer,
    RolesManagerRolesChecker.key
)
