package dev.inmo.postssystem.features.roles.client

import dev.inmo.postssystem.features.roles.common.*
import dev.inmo.micro_utils.ktor.client.UnifiedRequester
import kotlinx.serialization.KSerializer

class ClientUsersRolesStorage<T : UserRole>(
    private val baseUrl: String,
    private val unifiedRequester: UnifiedRequester,
    private val serializer: KSerializer<T>
) : UsersRolesStorage<T>,
    ReadUsersRolesStorage<T> by ReadClientUsersRolesStorage(
        baseUrl, unifiedRequester, serializer
    ),
    WriteUsersRolesStorage<T> by WriteClientUsersRolesStorage(
        baseUrl, unifiedRequester, serializer
    )
